
CoCoA-5 - Support #1220

NewRingFp obsolescent; superseded by NewZZmod

16 Aug 2018 08:10 - John Abbott

Status: Closed Start date: 16 Aug 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Cleaning Estimated time: 1.00 hour

Target version: CoCoA-5.3.0 Spent time: 0.30 hour

Description

The function NewZZmod generalizes NewRingFp, so make the latter obsolescent.

History

#1 - 16 Aug 2018 08:48 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

- Estimated time set to 1.00 h

Made obsolescent in CoCoA-5.  Manual updated.  tests and packages updated.

Also I prefer NewZZmod to NewRingFp also in CoCoALib tests and examples.

Should NewRingFp also become obsolescent in CoCoALib?  Not yet sure about this.

#2 - 01 Oct 2019 14:41 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
